Subject: bug#18044: 24.3; `info-display-manual' should use completing input for manual name

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Jul 2021 15:06:01 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 14 Jul 2021 11:06:56 +0200
> Cc: [email-masked]
> 
> Samuel Bronson <[email-masked]> writes:
> 
> > I think it would be possible to extract the necessary machinery from the
> > function `Info-read-node-name' and its -1/-2 friends, but I don't grok
> > completion well enough to do it myself, and one of the core
> > (not-info-specific) completion functions involved isn't even documented.
> 
> Hm...  looking at the command in question, it does have completion over
> manual names:
> 
> commit 010db6da6527d16736fd3c2b607058dd35a70c9a
> Author:     Juri Linkov <[email-masked]>
> AuthorDate: Sun Dec 2 14:41:22 2012 +0800
> 
>     * info.el (info-display-manual): Add completion.
>     
> And this was added before 24.3 was released, so it should also have it.
> So is this talking about some other form of completion, or was the bug
> report about an earlier Emacs release?

This feature was added only in Emacs 24.4, not in 24.3.
I think this bug can be closed.